Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, setCaseSensitive, addType, addDate, setFollowSymlinks, setProject, getSelectors, addAnd, addSelector, hasSelectors, setDefaultexcludes, createExclude, setExcludesfile, createPatternSet, selectorCount, createIncludesFile, createExcludesFile, selectorElements, setIncludesfile, createInclude, addSize, addModified, addDepth, XsetItems, addNone, XsetIgnore, addFilename, appendSelector, addDepend, addCustom, addPresent, addContainsRegexp, addDifferent, addOr, addNot, addMajority, addContains, setIncludes, setExcludes, log, log, log, log, init, execute, setTaskName, getTaskType, setOwningTarget, setTaskType, getOwningTarget, maybeConfigure, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, reconfigure, perform, bindToOwner, clone, getLocation, setDescription, getProject, setLocation, getDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### @Override
      public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override
      public void visitEnd()